Skip to content

Processes a shipment

Request

This method will auto-generate an ID and create a new shipment. If an ID is specified for the shipment, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The shipment that you would like to be saved.

carrier_integrationstring(Carrier Integration)
Enum:"none""ups"
custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of the shipment

dimensionsobject(Dimensions)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this shipment

line_itemsArray of objects, non-emptyrequired
notesstring(Notes)

General notes

numbernumber, (float)(Number)required

The unique, string identifier of this shipment

number_of_piecesnumber, (float)(Number Of Pieces)

The number of pieces

order_idstring(Order)required

The order being fulfilled

packing_slip_notesstring(Packing Slip Notes)

Notes for the packing slip

send_email_confirmation_to_customerboolean(Send Email Confirmation To Customer)required

Whether or not the customer should be notified by email

shipping_addressobject(Address)required

A complete address

shipping_label_uristring(Shipping Label Uri)

The shipping label, if applicable

shipping_method_descriptionstring(Shipping Method Description)required

User-friendly description for how the shipment was shipped

shipping_method_idstring(Shipping Method)

The shipping method ID from the order

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tracking_numberstring(Tracking Number)

The tracking number

ups_integrationobject(Ups Integration)required
weightobject(Weight)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/shipments/{tenantId}/sync' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "carrier_integration": "none",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "date": "2019-08-24T14:15:22Z",
    "dimensions": {
      "depth": 0.1,
      "height": 0.1,
      "width": 0.1
    },
    "id": "string",
    "line_items": [
      {
        "order_line_item_id": "string",
        "product_id": "string",
        "product_type": "string",
        "quantity": 0
      }
    ],
    "notes": "string",
    "number": 0.1,
    "number_of_pieces": 0.1,
    "order_id": "string",
    "packing_slip_notes": "string",
    "send_email_confirmation_to_customer": true,
    "shipping_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "shipping_label_uri": "string",
    "shipping_method_description": "string",
    "shipping_method_id": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "tracking_number": "string",
    "ups_integration": {
      "packaging_code": "string",
      "service_code": "string"
    },
    "weight": {
      "ounces": 0.1,
      "pounds": 0.1
    }
  }'

Responses

The shipment was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
carrier_integrationstring(Carrier Integration)
Enum:"none""ups"
custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of the shipment

dimensionsobject(Dimensions)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this shipment

line_itemsArray of objects, non-emptyrequired
notesstring(Notes)

General notes

numbernumber, (float)(Number)required

The unique, string identifier of this shipment

number_of_piecesnumber, (float)(Number Of Pieces)

The number of pieces

order_idstring(Order)required

The order being fulfilled

packing_slip_notesstring(Packing Slip Notes)

Notes for the packing slip

send_email_confirmation_to_customerboolean(Send Email Confirmation To Customer)required

Whether or not the customer should be notified by email

shipping_addressobject(Address)required

A complete address

shipping_label_uristring(Shipping Label Uri)

The shipping label, if applicable

shipping_method_descriptionstring(Shipping Method Description)required

User-friendly description for how the shipment was shipped

shipping_method_idstring(Shipping Method)

The shipping method ID from the order

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tracking_numberstring(Tracking Number)

The tracking number

ups_integrationobject(Ups Integration)required
weightobject(Weight)required
Response
{ "carrier_integration": "none", "custom_field_values": [ { … } ], "date": "2019-08-24T14:15:22Z", "dimensions": { "depth": 0.1, "height": 0.1, "width": 0.1 }, "id": "string", "line_items": [ { … } ], "notes": "string", "number": 0.1, "number_of_pieces": 0.1, "order_id": "string", "packing_slip_notes": "string", "send_email_confirmation_to_customer": true, "shipping_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "shipping_label_uri": "string", "shipping_method_description": "string", "shipping_method_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tracking_number": "string", "ups_integration": { "packaging_code": "string", "service_code": "string" }, "weight": { "ounces": 0.1, "pounds": 0.1 } }